package com.xisc.pm.infra.repository.impl;

import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;
import com.xisc.pm.domain.entity.PmSdivStLimitBt;
import com.xisc.pm.domain.repository.PmSdivStLimitBtRepository;
import com.xisc.pm.infra.mapper.PmSdivStLimitBtMapper;

import javax.annotation.Resource;
import java.util.List;

/**
 * 剖分组板钢种限制表(PmSdivStLimitBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:15:35
 */
@Component
public class PmSdivStLimitBtRepositoryImpl extends BaseRepositoryImpl<PmSdivStLimitBt> implements PmSdivStLimitBtRepository {
    @Resource
    private PmSdivStLimitBtMapper pmSdivStLimitBtMapper;

    @Override
    public List<PmSdivStLimitBt> selectList(PmSdivStLimitBt pmSdivStLimitBt) {
        return pmSdivStLimitBtMapper.selectList(pmSdivStLimitBt);
    }

    @Override
    public PmSdivStLimitBt selectByPrimary(Long psslbId) {
        PmSdivStLimitBt pmSdivStLimitBt = new PmSdivStLimitBt();
        pmSdivStLimitBt.setPsslbId(psslbId);
        List<PmSdivStLimitBt> pmSdivStLimitBts = pmSdivStLimitBtMapper.selectList(pmSdivStLimitBt);
        if (CollectionUtils.isEmpty(pmSdivStLimitBts)) {
            return null;
        }
        return pmSdivStLimitBts.get(0);
    }
}
